> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Listing

<Warning>
  This page does not apply to installs made in 2025 or later of the Depict Shopify apps
</Warning>


## OpenAPI

````yaml get /v3/listings/{listing_id}
openapi: 3.1.0
info:
  title: Depict API
  version: '1.0'
servers: []
security: []
paths:
  /v3/listings/{listing_id}:
    get:
      tags:
        - Listing (v3)
      summary: Get Listing
      description: >-
        Returns a single listing, including its ancestors, siblings and
        children. Listings can be queried by either their Depict ID,

        or "external" ID, which is the ID used by the merchant's system (ie
        Shopify, Centra, WooCommerce, etc) to refer to the listing.


        Useful for showing breadcrumbs and other navigation elements while
        showing a product listing page.


        Example response:

        <pre>

        {
            "listing_id": "06b234cf-ce21-4252-90e6-db47246b1d98",
            "external_id": "1011",
            "listing_type": "category",
            "show_in_breadcrumbs": true,
            "show_in_quicklinks": true,
            "title": "Suits",
            "slug": "mens-suits",
            "ancestors": [
                {
                    "listing_id": "2efca23d-f077-4477-8830-cc7143c49173",
                    "external_id": "1001",
                    "listing_type": "category",
                    "show_in_breadcrumbs": true,
                    "show_in_quicklinks": true,
                    "title": "Clothes",
                    "slug": "mens-cloths"
                }
            ],
            "siblings": [
                {
                    "listing_id": "1e648857-4aad-4606-9e7a-5290cb3576e5",
                    "external_id": "1012",
                    "listing_type": "category",
                    "show_in_breadcrumbs": true,
                    "show_in_quicklinks": true,
                    "title": "Shirts",
                    "slug": "mens-shirts"
                }
            ],
            "children": []
        }

        </pre>
      operationId: Get_Listing_v3_listings__listing_id__get
      parameters:
        - name: listing_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Listing Id
        - name: merchant
          in: query
          required: true
          schema:
            type: string
            title: Merchant
        - name: market
          in: query
          required: true
          schema:
            type: string
            title: Market
        - name: locale
          in: query
          required: true
          schema:
            type: string
            title: Locale
        - name: external_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id
        - name: session_id
          in: query
          required: false
          schema:
            type: string
            default: ''
            title: Session Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
        - APIKeyCookie: []
components:
  schemas:
    GetListingResponse:
      properties:
        listing_id:
          type: string
          format: uuid
          title: Listing Id
          description: Depict ID of the listing.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: ID of the listing in the merchant PIM, CMS or similar.
        listing_type:
          $ref: '#/components/schemas/CollectionType'
        show_in_breadcrumbs:
          type: boolean
          title: Show In Breadcrumbs
          description: Show or hide this listing in navigation breadcrumbs.
        show_in_quicklinks:
          type: boolean
          title: Show In Quicklinks
          description: Show or hide this listing in quicklinks.
        image_urls:
          items:
            type: string
          type: array
          title: Image Urls
          description: List of image URLs for the listing.
        title:
          type: string
          title: Title
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        ancestors:
          items:
            $ref: '#/components/schemas/ProductListing'
          type: array
          title: Ancestors
          description: >-
            Ordered list of ancestors of the listing, useful for navigation
            breadcrumbs. The first element is the root listing.
        siblings:
          items:
            $ref: '#/components/schemas/ProductListing'
          type: array
          title: Siblings
          description: >-
            Siblings of the listing, i.e. listings that share the same parent,
            INCLUDING the listing itself. Sortet by title.
        children:
          items:
            $ref: '#/components/schemas/ProductListing'
          type: array
          title: Children
          description: >-
            Children of the listing, i.e. listings that have the listing as
            their parent. Sorted by title.
      additionalProperties: false
      type: object
      required:
        - listing_id
        - listing_type
        - show_in_breadcrumbs
        - show_in_quicklinks
        - image_urls
        - title
        - ancestors
        - siblings
        - children
      title: GetListingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CollectionType:
      type: string
      enum:
        - long_tail_collection
        - campaign
        - category
        - smart_pick
        - style
        - brand
      title: CollectionType
    ProductListing:
      properties:
        listing_id:
          type: string
          format: uuid
          title: Listing Id
          description: Depict ID of the listing.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: ID of the listing in the merchant PIM, CMS or similar.
        listing_type:
          $ref: '#/components/schemas/CollectionType'
        show_in_breadcrumbs:
          type: boolean
          title: Show In Breadcrumbs
          description: Show or hide this listing in navigation breadcrumbs.
        show_in_quicklinks:
          type: boolean
          title: Show In Quicklinks
          description: Show or hide this listing in quicklinks.
        image_urls:
          items:
            type: string
          type: array
          title: Image Urls
          description: List of image URLs for the listing.
        title:
          type: string
          title: Title
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
      additionalProperties: false
      type: object
      required:
        - listing_id
        - listing_type
        - show_in_breadcrumbs
        - show_in_quicklinks
        - image_urls
        - title
      title: ProductListing
      description: Represents a product listing, e.g. a category or a collection.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: X-API-KEY

````